Package: org.apache.groovy.contracts.annotations.meta

## [Java] Annotation Type ContractElement

- org.apache.groovy.contracts.annotations.meta.ContractElement

-     @Documented
      @Retention(RetentionPolicy.RUNTIME)
      public @interface ContractElement

  Indicates that annotations being marked as `@ContractElement` are to be used by some contract element being either a class-invariant, pre- or post-condition.

- - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`